Package: org.gmetrics.result

## [Groovy] Class ClassMetricResult

- org.gmetrics.result.ClassMetricResult

- Represents the results for a single metric for a single class

  Authors:
    Chris Mair
  Version:
    \$Revision: 180 \$ - \$Date: 2011-11-27 21:56:48 -0500 (Sun, 27 Nov 2011) \$

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MetricResult` | `classMetricResult`
    `Map<MethodKey, MetricResult>` | `methodMetricResults`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassMetricResult (MetricResult metricResult, Map<MethodKey, MetricResult> methodMetricResults = null)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### MetricResult classMetricResult

    - #### Map<MethodKey, MetricResult> methodMetricResults

  - ### Constructor Detail

    - #### ClassMetricResult(MetricResult metricResult, Map<MethodKey, MetricResult> methodMetricResults = null)

  - ### Method Detail

    - #### String toString()